summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create.sh4
-rwxr-xr-xscripts/install.sh2
-rwxr-xr-xscripts/prereq.sh11
3 files changed, 13 insertions, 4 deletions
diff --git a/scripts/create.sh b/scripts/create.sh
index cee6b5bcb..cc0099b4d 100755
--- a/scripts/create.sh
+++ b/scripts/create.sh
@@ -56,7 +56,7 @@ Syntax: $me [-c cfgfssize] [+g] [-i imagesize] [-p panictime]
Explanation/Defaults:
-c: minimum 0, maximum 5, default 1 (MiB)
-g: enable installing GNU GRUB 2
- -i: total image, default 2048 (MiB; max. approx. 2 TiB)
+ -i: total image, default 512 (MiB; max. approx. 2 TiB)
-p: default 10 (seconds; 0 disables; max. 300)
-s: default 115200 (bps, others: 9600 19200 38400 57600)
-t: enable serial console (+t disables it, default)
@@ -67,7 +67,7 @@ EOF
cfgfs=1
usegrub=0
-tgtmib=2048
+tgtmib=512
panicreboot=10
speed=115200
serial=0
diff --git a/scripts/install.sh b/scripts/install.sh
index e3494d5d6..335607391 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -563,7 +563,7 @@ case $target {
dd if="$fwdir/u-boot-sunxi-with-spl.bin" of="$tgt" bs=1024 seek=8 > /dev/null 2>&1
;;
(solidrun-clearfog)
- dd if="$fwdir/u-boot-spl.kwb" of="$tgt" bs=512 seek=1 > /dev/null 2>&1
+ dd if="$fwdir/u-boot-with-spl.kwb" of="$tgt" bs=512 seek=1 > /dev/null 2>&1
;;
(solidrun-imx6|phytec-imx6)
dd if="$fwdir/SPL" of="$tgt" bs=1024 seek=1 > /dev/null 2>&1
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 717ddf15c..5277d8f1b 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -233,7 +233,7 @@ printf " ---> checking if bash is installed.. "
if which bash >/dev/null; then
printf "found\n"
printf " ---> checking if it is bash 4.x or 5.x.. "
- LC_ALL=C bash --version 2>/dev/null| egrep -i 'version 4|5' >/dev/null
+ LC_ALL=C bash --version 2>/dev/null| grep -E -i 'version 4|5' >/dev/null
if [ $? -eq 0 ]; then
printf "yes\n"
else
@@ -304,6 +304,15 @@ if ! which git >/dev/null 2>&1; then
fi
printf "found\n"
+printf " ---> checking if xz is installed.. "
+if ! which xz >/dev/null 2>&1; then
+ echo You must install xz to continue.
+ echo
+ out=1
+ printf "not found\n"
+fi
+printf "found\n"
+
printf " ---> checking if ncurses is installed.. "
check_lxdialog=${topdir}/adk/config/lxdialog/check-lxdialog.sh
CURSES_CFLAGS=$(/bin/sh ${check_lxdialog} -ccflags | tr '\n' ' ')